> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conversation

> Update an existing conversation



## OpenAPI

````yaml patch /conversation
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /conversation:
    patch:
      tags:
        - Conversation
      summary: Update Conversation
      description: Update an existing conversation
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Conversation ID
          schema:
            type: string
          required: true
        - name: created_at
          in: query
          description: Conversation creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: subject
          in: query
          description: Subject of conversation
          schema:
            type: string
        - name: status
          in: query
          description: Status of conversation
          schema:
            type: string
        - name: assignee_id
          in: query
          description: Assignee ID
          schema:
            type: string
        - name: unread
          in: query
          description: Is conversation on unread?
          schema:
            type: string
        - name: channel_id
          in: query
          description: Channel ID
          schema:
            type: string
        - name: channel_type
          in: query
          description: Channel Type of Conversation
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: tags
          in: query
          description: Given tags of conversation
          schema:
            type: string
        - name: is_spam
          in: query
          description: Is conversation marked as spam?
          schema:
            type: string
        - name: inbox_id
          in: query
          description: Inbox ID
          schema:
            type: string
        - name: latest_message_id
          in: query
          description: Latest message ID
          schema:
            type: string
        - name: latest_inbound_message_id
          in: query
          description: Latest inbound message ID
          schema:
            type: string
        - name: latest_message_created_at
          in: query
          description: Latest message creation date
          schema:
            type: string
        - name: latest_inbound_message_created_at
          in: query
          description: Latest inbound message creation date
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                inbox_id:
                  type: string
                  description: Inbox ID
                  format: uuid
                assignee_id:
                  type: string
                  description: Assignee ID
                  format: uuid
                  nullable: true
                status:
                  type: string
                  description: Status of conversation
                  format: public.conversation_status
                  enum:
                    - open
                    - closed
                    - archived
                  default: open
        description: conversation
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conversation'
          description: The updated Conversation object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    conversation:
      type: object
      properties:
        id:
          type: string
          description: Conversation ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Conversation creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        subject:
          type: string
          description: Subject of conversation
          format: text
          nullable: true
        status:
          type: string
          description: Status of conversation
          format: public.conversation_status
          enum:
            - open
            - closed
            - archived
          default: open
        assignee_id:
          type: string
          description: Assignee ID
          format: uuid
          nullable: true
        unread:
          type: boolean
          description: Is conversation on unread?
          format: boolean
          default: false
          nullable: true
        channel_id:
          type: string
          description: Channel ID
          format: uuid
        channel_type:
          type: string
          description: Channel Type of Conversation
          format: public.channel_type
          enum:
            - email
            - sms
            - whatsapp
            - instagram
            - facebook
            - google_business_messaging
            - postal
        contact_id:
          type: string
          description: Contact ID
          format: uuid
          nullable: true
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        tags:
          type: object
          description: Given tags of conversation
          format: jsonb
          nullable: true
        is_spam:
          type: boolean
          description: Is conversation marked as spam?
          format: boolean
          default: false
        inbox_id:
          type: string
          description: Inbox ID
          format: uuid
        latest_message_id:
          type: string
          description: Latest message ID
          format: uuid
          nullable: true
        latest_inbound_message_id:
          type: string
          description: Latest inbound message ID
          format: uuid
          nullable: true
        latest_message_created_at:
          type: string
          description: Latest message creation date
          format: timestamp with time zone
          nullable: true
        latest_inbound_message_created_at:
          type: string
          description: Latest inbound message creation date
          format: timestamp with time zone
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````